Jala 1.3

## Class jala.DnsClient.Record

    Object
       |
       +--jala.DnsClient.Record

class jala.DnsClient.Record

Instances of this class wrap record data as received from the nameserver.
Defined in DnsClient.js

Field Summary
`String` | `cname` The CNAME of this record.
`String` | `email` The email address responsible for a name server.
`String` | `host` The name of the host.
`String` | `ipAddress` The IP address of the host.
`String` | `mx` The name of the mail exchanging server.
`String` | `text` Descriptive text as received from the nameserver.
`Number` | `type` The type of the nameserver record represented by this Answer instance.

Constructor Summary
`jala.DnsClient.Record (<org.wonderly.net.dns.RR> data)` Constructs a new instance of jala.DnsClient.Record.

Method Summary
`org.wonderly.net.dns.RR` | `getData()` Returns the wrapped nameserver record data

Field Detail

### cname

    String cname

The CNAME of this record. This will only be set for records of type CNAME

### email

    String email

The email address responsible for a name server. This property will only be set for records of type SOA

### host

    String host

The name of the host. This will only be set for records of type A, AAAA and NS.

### ipAddress

    String ipAddress

The IP address of the host. This will only be set for records of type A and AAAA

### mx

    String mx

The name of the mail exchanging server. This is only set for records of type MX

### text

    String text

Descriptive text as received from the nameserver. This is only set for records of type TXT

### type

    Number type

The type of the nameserver record represented by this Answer instance.

Constructor Detail

### jala.DnsClient.Record

    jala.DnsClient.Record(<org.wonderly.net.dns.RR> data)

Constructs a new instance of jala.DnsClient.Record.

Parameters:

`data` - The data as received from the nameserver

Returns:

A newly constructed Record instance

Method Detail

### getData

    org.wonderly.net.dns.RR getData()

Returns the wrapped nameserver record data

Returns:

The wrapped data

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008